function [delta,theta,alfa,beta] = vyk_spektrum(m_w,m_n1,m_n2,m_n3,m_rem,fvz)
%funkce pro vpoet vkonovho spektra a vypoten zastoupen frekvennch sloek v jednotlivch psmech 
[~,sw]=size(m_w);
[~,sn1]=size(m_n1);
[~,sn2]=size(m_n2);
[~,sn3]=size(m_n3);
[~,srem]=size(m_rem);

vyk_w=[];
vyk_n1=[];
vyk_n2=[];
vyk_n3=[];
vyk_rem=[];
for i=1:sw
    sig=m_w(:,i);
    spekt=highpass(sig,0.3,fvz);
    spektrum=fft(spekt,fvz)/fvz;
    modul=abs(spektrum);
    vyk_spekt=modul.^2;
    vyk_w=[vyk_w vyk_spekt];
end
for i=1:sn1
    sig=m_n1(:,i);
    spekt=highpass(sig,0.3,fvz);
    spektrum=fft(spekt,fvz)/fvz;
    modul=abs(spektrum);
    vyk_spekt=modul.^2;
    vyk_n1=[vyk_n1 vyk_spekt];
end
for i=1:sn2
    sig=m_n2(:,i);
    spekt=highpass(sig,0.3,fvz);
    spektrum=fft(spekt,fvz)/fvz;
    modul=abs(spektrum);
    vyk_spekt=modul.^2;
    vyk_n2=[vyk_n2 vyk_spekt];
end
for i=1:sn3
    sig=m_n3(:,i);
    spekt=highpass(sig,0.3,fvz);
    spektrum=fft(spekt,fvz)/fvz;
    modul=abs(spektrum);
    vyk_spekt=modul.^2;
    vyk_n3=[vyk_n3 vyk_spekt];
end
for i=1:srem
    sig=m_rem(:,i);
    spekt=highpass(sig,0.3,fvz);
    spektrum=fft(spekt,fvz)/fvz;
    modul=abs(spektrum);
    vyk_spekt=modul.^2;
    vyk_rem=[vyk_rem vyk_spekt];
end

delta_w=sum(vyk_w(1:4,:));
theta_w=sum(vyk_w(4:8,:));
alfa_w=sum(vyk_w(8:13,:));
beta_w=sum(vyk_w(13:35,:));

delta_n1=sum(vyk_n1(1:4,:));
theta_n1=sum(vyk_n1(4:8,:));
alfa_n1=sum(vyk_n1(8:13,:));
beta_n1=sum(vyk_n1(13:35,:));

delta_n2=sum(vyk_n2(1:4,:));
theta_n2=sum(vyk_n2(4:8,:));
alfa_n2=sum(vyk_n2(8:13,:));
beta_n2=sum(vyk_n2(13:35,:));

delta_n3=sum(vyk_n3(1:4,:));
theta_n3=sum(vyk_n3(4:8,:));
alfa_n3=sum(vyk_n3(8:13,:));
beta_n3=sum(vyk_n3(13:35,:));

delta_rem=sum(vyk_rem(1:4,:));
theta_rem=sum(vyk_rem(4:8,:));
alfa_rem=sum(vyk_rem(8:13,:));
beta_rem=sum(vyk_rem(13:35,:));

pomw=[delta_w;theta_w;alfa_w;beta_w];
w_sum=sum(pomw);
pomn1=[delta_n1;theta_n1;alfa_n1;beta_n1];
n1_sum=sum(pomn1);
pomn2=[delta_n2;theta_n2;alfa_n2;beta_n2];
n2_sum=sum(pomn2);
pomn3=[delta_n3;theta_n3;alfa_n3;beta_n3];
n3_sum=sum(pomn3);
pomrem=[delta_rem;theta_rem;alfa_rem;beta_rem];
rem_sum=sum(pomrem);

procw=[];procn1=[];procn2=[];procn3=[];procrem=[];

for i=1:length(w_sum)
    vypw=pomw(:,i)*100/w_sum(1,i);
    procw=[procw vypw];
end
for i=1:length(n1_sum)
    vyp1=pomn1(:,i)*100/n1_sum(1,i);
    procn1=[procn1 vyp1];
end
for i=1:length(n2_sum)
    vyp2=pomn2(:,i)*100/n2_sum(1,i);
    procn2=[procn2 vyp2];
end
for i=1:length(n3_sum)
    vyp3=pomn3(:,i)*100/n3_sum(1,i);
    procn3=[procn3 vyp3];
end
for i=1:length(rem_sum)
    vypr=pomrem(:,i)*100/rem_sum(1,i);
    procrem=[procrem vypr];
end

delta=[procw(1,:)';procn1(1,:)';procn2(1,:)';procn3(1,:)';procrem(1,:)'];
theta=[procw(2,:)';procn1(2,:)';procn2(2,:)';procn3(2,:)';procrem(2,:)'];
alfa=[procw(3,:)';procn1(3,:)';procn2(3,:)';procn3(3,:)';procrem(3,:)'];
beta=[procw(4,:)';procn1(4,:)';procn2(4,:)';procn3(4,:)';procrem(4,:)'];
end

